@font-face {
    font-family: irsans;
    src: url("../fonts/IRANSansWeb.woff2")format("woff2");
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: irsans;
}
/* PRODUCT START */

.product{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 50px 10px;
}
.product-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 50px;
    width: 1200px;
}

.product-top{
    display: flex;
    align-items: start;
    justify-content: space-between;
    flex-direction: row;
    width: 1200px;
}
.product-top-rast{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 10px;
}
.product-top-rast-rast{
    display: flex;
    align-items: center;
    justify-content: center;
}
.product-top-rast-rast img{
    width: 450px;
    height: 450px;
    border-radius: 10px;
}
.product-top-rast-chap{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    gap: 15px;
    height: 450px;
}
.product-top-rast-chap img{
    width: 100px;
    border-radius: 10px;
}

.product-top-chap{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    flex-direction: column;
    width: 500px;
    height: 450px;
    gap: 50px;
}
.product-top-chap-title{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    border: 3px dotted #D1DBE8;
    gap: 5px;
}
.product-top-chap-title h1{
    font-size: 22px;
}
.product-top-chap-title p{
    font-size: 12px;
    color: gray;
}
.product-top-chap-group{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 5px 10px;
    border: 2px solid #D1DBE8;
    border-radius: 10px;
}
.product-top-chap-group a{
    text-decoration: none;
    color: red;
    font-size: 14px;
}
.product-top-chap-colors{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
}
.product-top-chap-colors select{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 5px 10px;
    border-radius: 5px;
    border: 2px solid #D1DBE8;
}

.product-top-chap-price{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    border-radius: 10px;
    padding: 10px;
    border: 2px solid #D1DBE8;
}
.product-top-chap-price p i{
    transform: translateY(2px) translateX(2px);
}
.product-top-chap-price .mojod{
    color: green;
}
.product-top-chap-price .namojod{
    color: red;
}

.product-top-chap form{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
    width: 100%;
    gap: 10px;
}
.product-top-chap form .product-top-chap-tedad{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    gap: 5px;
}
.product-top-chap form .product-top-chap-tedad .btna{
    outline: none;
    color: white;
    background-color: blue;
    border: 2px solid blue;
    border-radius: 5px;
    padding: 5px 10px;
    cursor: pointer;
    transition: all .5s;
}
.product-top-chap form .product-top-chap-tedad .btnr{
    outline: none;
    color: white;
    background-color: blue;
    border: 2px solid blue;
    border-radius: 5px;
    padding: 5px 13px;
    cursor: pointer;
    transition: all .5s;
}
.product-top-chap form .product-top-chap-tedad .btna:hover,
.product-top-chap form .product-top-chap-tedad .btnr:hover{
    background-color: white;
    color: blue;
}
.product-top-chap form .product-top-chap-tedad #quantity{
    outline-color: blue;
    padding: 5px 10px;
    border-radius: 5px;
    border: 2px solid #D1DBE8;
    width: 50px;
}
.product-top-chap form .product-top-chap-tedad #quantity::-webkit-outer-spin-button,
.product-top-chap form .product-top-chap-tedad #quantity::-webkit-inner-spin-button{
    -webkit-appearance: none;
    margin: 0;
}
.product-top-chap form .product-top-chap-add{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}
.product-top-chap form .product-top-chap-add button{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    outline: none;
    cursor: pointer;
    background-color: red;
    color: white;
    border: 2px solid red;
    transition: all .5s;
    padding: 5px 10px;
    border-radius: 5px;
}
.product-top-chap form .product-top-chap-add button:hover{
    color: red;
    background-color: white;
}

.product-bottom{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}
.product-bottom .product-bottom-title{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    border: 3px solid blue;
    color: blue;
    padding: 10px;
    border-radius: 10px;
}
.product-bottom .product-bottom-desc{
    padding: 20px;
    border: 2px solid #D1DBE8;
    border-radius: 10px;
    text-align: justify;
    width: 100%;
}

/* PRODUCT END */






















































/* RESPONSIVE START */

@media screen and (max-width:480px) {

    .product-top{
        flex-direction: column;
        gap: 30px;
        width: 100%;
    }
    .product-top-rast{
        width: 100%;
        flex-direction: column;
    }
    .product-top-rast-rast{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    .product-top-rast-rast img{
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 290px;
        height: 290px;
    }
    .product-top-rast-chap{
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: row;
        width: 290px;
        height: auto;
    }
    .product-top-rast-chap img{
        width: 55px;
    }

    .product-top-chap{
        width: 100%;
    }
    .product-top-chap-title,
    .product-top-chap-group,
    .product-top-chap-colors,
    .product-top-chap-colors select,
    .product-top-chap-price,
    .product-top-chap form{
        width: 100%;
    }
    
}




@media screen and (min-width:481px) and (max-width:768px) {

    .product-top{
        flex-direction: column;
        gap: 30px;
        width: 100%;
    }
    .product-top-rast{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }
    .product-top-rast-rast img{
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 350px;
        height: 350px;
    }
    .product-top-rast-chap{
        height: 350px;
    }
    .product-top-rast-chap img{
        width: 65px;
    }

    .product-top-chap{
        width: 100%;
    }
    .product-top-chap-title,
    .product-top-chap-group,
    .product-top-chap-colors,
    .product-top-chap-colors select,
    .product-top-chap-price,
    .product-top-chap form{
        width: 100%;
    }
    
}




@media screen and (min-width:769px) and (max-width:1250px) {

    .product-top{
        gap: 20px;
        width: 100%;
    }
    .product-top-rast{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 100%;
        height: auto;
    }
    .product-top-rast-rast img{
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 375px;
        height: 375px;
    }
    .product-top-rast-chap{
        display: flex;
        align-items: center;
        justify-content: space-between;
        flex-direction: row;
        width: 375px;
        height: auto;
    }
    .product-top-rast-chap img{
        width: 65px;
    }

    .product-top-chap{
        width: 100%;
    }
    .product-top-chap-title,
    .product-top-chap-group,
    .product-top-chap-colors,
    .product-top-chap-colors select,
    .product-top-chap-price,
    .product-top-chap form{
        width: 100%;
    }
    
}

/* RESPONSIVE END */